<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */


interface Creativestyle_AmazonCheckout_Model_Api_AddressInterface
{
    /**
     * @return string
     */
    public function getName();

    /**
     * @return string
     */
    public function getAddressLine1();

    /**
     * @return string
     */
    public function getAddressLine2();

    /**
     * @return string
     */
    public function getAddressLine3();

    /**
     * @return string
     */
    public function getCity();

    /**
     * @return string
     */
    public function getStateOrRegion();

    /**
     * @return string
     */
    public function getPostalCode();

    /**
     * @return string
     */
    public function getCountryCode();

    /**
     * @return string
     */
    public function getPhoneNumber();
}
