<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Model_System_Config_Source_Region extends Creativestyle_AmazonCheckout_Model_System_Config_Source_Abstract
{
    protected $_options = array(
        'EUR_DE'    => 'Germany',
        'EUR_FR'    => 'France',
        'EUR_IT'    => 'Italy',
        'EUR_ES'    => 'Spain',
        'GBP'       => 'United Kingdom',
        'EUR'       => 'Eurozone'
    );
}
